from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

with open("requirements.txt", "r", encoding="utf-8") as fh:
    requirements = [line.strip() for line in fh if line.strip() and not line.startswith("#")]

setup(
    name="notify-africa-sms",
    version="1.0.0",
    author="Notify Africa",
    author_email="support@notifyafrica.com",
    description="Python SDK for Notify Africa SMS Service",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/notify-africa/python-sdk",
    packages=find_packages(),
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
    ],
    python_requires=">=3.7",
    install_requires=requirements,
    keywords="sms, tanzania, api, sdk, notify-africa",
    project_urls={
        "Bug Reports": "https://github.com/notify-africa/python-sdk/issues",
        "Source": "https://github.com/notify-africa/python-sdk",
        "Documentation": "https://docs.notifyafrica.com",
    },
)